Index: trunk/gli/src/org/greenstone/gatherer/Configuration.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/Configuration.java	(revision 8231)
+++ trunk/gli/src/org/greenstone/gatherer/Configuration.java	(revision 8236)
@@ -152,5 +152,5 @@
 
 	// The exec_path may contain an url address, in which case we blindly use that and leave it up to the user to worry about settings and resetting.
-	Gatherer.println("EXEC_PATH = " + exec_path);
+	DebugStream.println("EXEC_PATH = " + exec_path);
 	if(exec_path != null && exec_path.length() > 0) {
 	    try {
@@ -158,6 +158,6 @@
 	    }
 	    catch (MalformedURLException error) {
-		Gatherer.println("Not an address.");
-		Gatherer.printStackTrace(error);
+		DebugStream.println("Not an address.");
+		DebugStream.printStackTrace(error);
 	    }
 	}
@@ -172,10 +172,10 @@
 		}
 		else {
-		    Gatherer.println("No local library at given file path.");
+		    DebugStream.println("No local library at given file path.");
 		}
 	    }
 	    // All sorts of errors might be thrown by a bogus file path.
 	    catch (Exception error) {
-		Gatherer.println("Libary url does not indicate the server.exe file.");
+		DebugStream.println("Libary url does not indicate the server.exe file.");
 		///atherer.printStackTrace(error);
 	    }
@@ -187,5 +187,5 @@
 		}
 		else {
-		    Gatherer.println("No local library.");
+		    DebugStream.println("No local library.");
 		}
 	    }
@@ -193,5 +193,5 @@
 	}
 	else {
-	    Gatherer.println("exec_address != null -> " + exec_address);
+	    DebugStream.println("exec_address != null -> " + exec_address);
 	}
 
@@ -248,8 +248,8 @@
 	if(general_config == null) {
 	    general_config = Utility.parse(TEMPLATE_CONFIG_XML, true);
-	    Gatherer.println("Loaded default Gatherer configuration template.");
+	    DebugStream.println("Loaded default Gatherer configuration template.");
 	}
 	else {
-	    Gatherer.println("Loaded current Gatherer configuration.");
+	    DebugStream.println("Loaded current Gatherer configuration.");
 	}
 
@@ -292,6 +292,6 @@
 	    }
 	}
-	Gatherer.println("EXEC_FILE = " + exec_file);
-	Gatherer.println("EXEC_ADDRESS = " + exec_address);
+	DebugStream.println("EXEC_FILE = " + exec_file);
+	DebugStream.println("EXEC_ADDRESS = " + exec_address);
     }
 
@@ -322,5 +322,5 @@
 	}
 	catch (Exception exception) {
-	    Gatherer.printStackTrace(exception);
+	    DebugStream.printStackTrace(exception);
 	}
 	return result;
@@ -424,5 +424,5 @@
 	}
 	catch(Exception error) {
-	    Gatherer.printStackTrace(error);
+	    DebugStream.printStackTrace(error);
 	}
 	return result;
@@ -469,5 +469,5 @@
 	}
 	catch(Exception exception) {
-	    Gatherer.printStackTrace(exception);
+	    DebugStream.printStackTrace(exception);
 	}
 	return special_directories;
@@ -510,5 +510,5 @@
 	}
 	catch(Exception error) {
-	    Gatherer.printStackTrace(error);
+	    DebugStream.printStackTrace(error);
 	}
 	return result;
@@ -523,5 +523,5 @@
 	}
 	catch(Exception error) {
-	    Gatherer.printStackTrace(error);
+	    DebugStream.printStackTrace(error);
 	}
 	return result;
@@ -555,5 +555,5 @@
 	}
 	catch(Exception error) {
-	    Gatherer.printStackTrace(error);
+	    DebugStream.printStackTrace(error);
 	}
 	return result;
@@ -690,5 +690,5 @@
 	}
 	catch(Exception error) {
-	    Gatherer.printStackTrace(error);
+	    DebugStream.printStackTrace(error);
 	}
 	return file;
@@ -724,5 +724,5 @@
     static public void set(String property, boolean general, boolean value) {
 	if(property.startsWith("workflow")) {
-	    Gatherer.println("Set property: " + property + ", general=" + general + ", value=" + value);
+	    DebugStream.println("Set property: " + property + ", general=" + general + ", value=" + value);
 	}
 	setString(property, general, (value ? "true" : "false"));
@@ -756,6 +756,6 @@
 	}
 	catch (Exception error) {
-	    Gatherer.println("Error in Configuration.setArguments(): " + error);
-	    Gatherer.printStackTrace(error);
+	    DebugStream.println("Error in Configuration.setArguments(): " + error);
+	    DebugStream.printStackTrace(error);
 	}
     }
@@ -867,5 +867,5 @@
     /** Sets the value of the named property argument using the given string. */
     static public void setString(String property, boolean general, String value) {
-	Gatherer.println("Set configuration property: " + property + " = " + value + (general ? "" : " [Collection]"));
+	DebugStream.println("Set configuration property: " + property + " = " + value + (general ? "" : " [Collection]"));
 	try {
 	    Document document = general_config;