Index: trunk/gli/src/org/greenstone/gatherer/WGet.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/WGet.java	(revision 8238)
+++ trunk/gli/src/org/greenstone/gatherer/WGet.java	(revision 8240)
@@ -43,5 +43,4 @@
 import javax.swing.*;
 import javax.swing.tree.*;
-import org.greenstone.gatherer.Gatherer;
 import org.greenstone.gatherer.collection.DownloadJob;
 
@@ -252,5 +251,4 @@
      * @param destination the destination file as a String
      * @see org.greenstone.gatherer.Configuration
-     * @see org.greenstone.gatherer.Gatherer
      * @see org.greenstone.gatherer.collection.DownloadJob
      * @see org.greenstone.gatherer.gui.DownloadProgressBar
@@ -314,5 +312,4 @@
      * jobs attempting each one. Successful downloads are removed from the
      * waiting list.
-     * @see org.greenstone.gatherer.Gatherer
      * @see org.greenstone.gatherer.collection.DownloadJob
      */
Index: trunk/gli/src/org/greenstone/gatherer/cdm/Classifier.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/cdm/Classifier.java	(revision 8238)
+++ trunk/gli/src/org/greenstone/gatherer/cdm/Classifier.java	(revision 8240)
@@ -34,5 +34,4 @@
 import java.io.*;
 import java.util.*;
-import org.greenstone.gatherer.Gatherer;
 import org.greenstone.gatherer.cdm.Argument;
 import org.greenstone.gatherer.cdm.ArgumentContainer;
Index: trunk/gli/src/org/greenstone/gatherer/cdm/CollectionMeta.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/cdm/CollectionMeta.java	(revision 8238)
+++ trunk/gli/src/org/greenstone/gatherer/cdm/CollectionMeta.java	(revision 8240)
@@ -28,5 +28,4 @@
 
 import org.greenstone.gatherer.Configuration;
-import org.greenstone.gatherer.Gatherer;
 import org.greenstone.gatherer.cdm.CollectionConfiguration;
 import org.greenstone.gatherer.cdm.CollectionDesignManager;
Index: trunk/gli/src/org/greenstone/gatherer/cdm/CommandTokenizer.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/cdm/CommandTokenizer.java	(revision 8238)
+++ trunk/gli/src/org/greenstone/gatherer/cdm/CommandTokenizer.java	(revision 8240)
@@ -47,5 +47,4 @@
 import java.util.StringTokenizer;
 import org.greenstone.gatherer.DebugStream;
-import org.greenstone.gatherer.Gatherer;
 import org.greenstone.gatherer.util.StaticStrings;
 
Index: trunk/gli/src/org/greenstone/gatherer/cdm/DOMProxyListModel.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/cdm/DOMProxyListModel.java	(revision 8238)
+++ trunk/gli/src/org/greenstone/gatherer/cdm/DOMProxyListModel.java	(revision 8240)
@@ -29,5 +29,4 @@
 import java.util.*;
 import javax.swing.*;
-import org.greenstone.gatherer.Gatherer;
 import org.greenstone.gatherer.cdm.DOMProxyListEntry;
 import org.w3c.dom.*;
Index: trunk/gli/src/org/greenstone/gatherer/cdm/FreeEditManager.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/cdm/FreeEditManager.java	(revision 8238)
+++ 	(revision )
@@ -1,35 +1,0 @@
-/**
- *#########################################################################
- *
- * A component of the Gatherer application, part of the Greenstone digital
- * library suite from the New Zealand Digital Library Project at the
- * University of Waikato, New Zealand.
- *
- * Author: John Thompson, Greenstone Project, New Zealand Digital Library, 
- *         University of Waikato
- *
- * Copyright (C) 2004 New Zealand Digital Library, University of Waikato
- *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation; either version 2 of the License, or
- * (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
- *########################################################################
- */
-package org.greenstone.gatherer.cdm;
-import org.greenstone.gatherer.Gatherer;
-import org.greenstone.gatherer.cdm.Control;
-
-public class FreeEditManager {
-    /** The controls for editing the indexes. */
-    private Control controls = null;
-}
Index: trunk/gli/src/org/greenstone/gatherer/cdm/Level.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/cdm/Level.java	(revision 8238)
+++ trunk/gli/src/org/greenstone/gatherer/cdm/Level.java	(revision 8240)
@@ -31,5 +31,4 @@
  * Revised:      
  **************************************************************************************/
-import org.greenstone.gatherer.Gatherer;
 import org.greenstone.gatherer.cdm.CollectionConfiguration;
 import org.greenstone.gatherer.cdm.CollectionDesignManager;
Index: trunk/gli/src/org/greenstone/gatherer/cdm/PlugIn.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/cdm/PlugIn.java	(revision 8238)
+++ trunk/gli/src/org/greenstone/gatherer/cdm/PlugIn.java	(revision 8240)
@@ -29,5 +29,4 @@
 import java.io.*;
 import java.util.*;
-import org.greenstone.gatherer.Gatherer;
 import org.greenstone.gatherer.cdm.Argument;
 import org.greenstone.gatherer.cdm.ArgumentContainer;
Index: trunk/gli/src/org/greenstone/gatherer/cdm/SearchType.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/cdm/SearchType.java	(revision 8238)
+++ trunk/gli/src/org/greenstone/gatherer/cdm/SearchType.java	(revision 8240)
@@ -31,5 +31,4 @@
  * Revised:      
  **************************************************************************************/
-import org.greenstone.gatherer.Gatherer;
 import org.greenstone.gatherer.cdm.CollectionConfiguration;
 import org.greenstone.gatherer.cdm.CollectionDesignManager;
Index: trunk/gli/src/org/greenstone/gatherer/cdm/SubcollectionIndex.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/cdm/SubcollectionIndex.java	(revision 8238)
+++ trunk/gli/src/org/greenstone/gatherer/cdm/SubcollectionIndex.java	(revision 8240)
@@ -29,5 +29,4 @@
 import java.util.*;
 import org.greenstone.gatherer.DebugStream;
-import org.greenstone.gatherer.Gatherer;
 import org.greenstone.gatherer.cdm.CollectionConfiguration;
 import org.greenstone.gatherer.cdm.CollectionDesignManager;
Index: trunk/gli/src/org/greenstone/gatherer/cdm/TranslationView.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/cdm/TranslationView.java	(revision 8238)
+++ trunk/gli/src/org/greenstone/gatherer/cdm/TranslationView.java	(revision 8240)
@@ -36,5 +36,4 @@
 import org.greenstone.gatherer.DebugStream;
 import org.greenstone.gatherer.Dictionary;
-import org.greenstone.gatherer.Gatherer;
 import org.greenstone.gatherer.cdm.CollectionConfiguration;
 import org.greenstone.gatherer.cdm.CollectionDesignManager;
Index: trunk/gli/src/org/greenstone/gatherer/file/FileAssociationManager.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/file/FileAssociationManager.java	(revision 8238)
+++ trunk/gli/src/org/greenstone/gatherer/file/FileAssociationManager.java	(revision 8240)
@@ -32,5 +32,4 @@
 import org.greenstone.gatherer.DebugStream;
 import org.greenstone.gatherer.Dictionary;
-import org.greenstone.gatherer.Gatherer;
 import org.greenstone.gatherer.gui.FileAssociationDialog;
 import org.greenstone.gatherer.gui.PreviewCommandDialog;
Index: trunk/gli/src/org/greenstone/gatherer/file/FileJob.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/file/FileJob.java	(revision 8238)
+++ trunk/gli/src/org/greenstone/gatherer/file/FileJob.java	(revision 8240)
@@ -28,5 +28,4 @@
 
 import javax.swing.tree.*;
-import org.greenstone.gatherer.Gatherer;
 import org.greenstone.gatherer.file.FileNode;
 import org.greenstone.gatherer.file.FileSystemModel;
Index: trunk/gli/src/org/greenstone/gatherer/gui/AboutDialog.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/gui/AboutDialog.java	(revision 8238)
+++ trunk/gli/src/org/greenstone/gatherer/gui/AboutDialog.java	(revision 8240)
@@ -35,5 +35,4 @@
 import javax.swing.*;
 import org.greenstone.gatherer.Dictionary;
-import org.greenstone.gatherer.Gatherer;
 import org.greenstone.gatherer.gui.GLIButton;
 import org.greenstone.gatherer.util.Utility;
Index: trunk/gli/src/org/greenstone/gatherer/gui/LockFileDialog.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/gui/LockFileDialog.java	(revision 8238)
+++ trunk/gli/src/org/greenstone/gatherer/gui/LockFileDialog.java	(revision 8240)
@@ -43,5 +43,4 @@
 import org.greenstone.gatherer.Configuration;
 import org.greenstone.gatherer.Dictionary;
-import org.greenstone.gatherer.Gatherer;
 import org.greenstone.gatherer.gui.GLIButton;
 import org.greenstone.gatherer.gui.SimpleMenuBar;
Index: trunk/gli/src/org/greenstone/gatherer/gui/MetadataElementListCellRenderer.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/gui/MetadataElementListCellRenderer.java	(revision 8238)
+++ trunk/gli/src/org/greenstone/gatherer/gui/MetadataElementListCellRenderer.java	(revision 8240)
@@ -5,5 +5,4 @@
 import javax.swing.*;
 import org.greenstone.gatherer.Configuration;
-import org.greenstone.gatherer.Gatherer;
 import org.greenstone.gatherer.metadata.MetadataElement;
 import org.greenstone.gatherer.metadata.MetadataTools;
Index: trunk/gli/src/org/greenstone/gatherer/gui/MetadataValueTableCellRenderer.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/gui/MetadataValueTableCellRenderer.java	(revision 8238)
+++ trunk/gli/src/org/greenstone/gatherer/gui/MetadataValueTableCellRenderer.java	(revision 8240)
@@ -7,5 +7,4 @@
 import javax.swing.table.DefaultTableCellRenderer;
 import org.greenstone.gatherer.Configuration;
-import org.greenstone.gatherer.Gatherer;
 import org.greenstone.gatherer.metadata.MetadataElement;
 import org.greenstone.gatherer.metadata.MetadataTools;
Index: trunk/gli/src/org/greenstone/gatherer/gui/OpenCollectionDialog.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/gui/OpenCollectionDialog.java	(revision 8238)
+++ trunk/gli/src/org/greenstone/gatherer/gui/OpenCollectionDialog.java	(revision 8240)
@@ -47,5 +47,4 @@
 import javax.swing.filechooser.*;
 import org.greenstone.gatherer.Dictionary;
-import org.greenstone.gatherer.Gatherer;
 import org.greenstone.gatherer.collection.BasicCollectionConfiguration;
 import org.greenstone.gatherer.collection.CollectionManager;
Index: trunk/gli/src/org/greenstone/gatherer/gui/metaaudit/HeaderRenderer.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/gui/metaaudit/HeaderRenderer.java	(revision 8238)
+++ trunk/gli/src/org/greenstone/gatherer/gui/metaaudit/HeaderRenderer.java	(revision 8240)
@@ -41,5 +41,4 @@
 import javax.swing.table.TableCellRenderer;
 import org.greenstone.gatherer.Dictionary;
-import org.greenstone.gatherer.Gatherer;
 import org.greenstone.gatherer.gui.metaaudit.MetaAuditTable;
 import org.greenstone.gatherer.util.Utility;
Index: trunk/gli/src/org/greenstone/gatherer/gui/metaaudit/MetaAuditTable.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/gui/metaaudit/MetaAuditTable.java	(revision 8238)
+++ trunk/gli/src/org/greenstone/gatherer/gui/metaaudit/MetaAuditTable.java	(revision 8240)
@@ -43,5 +43,4 @@
 import javax.swing.event.TableModelEvent;
 import javax.swing.table.*;
-import org.greenstone.gatherer.Gatherer;
 import org.greenstone.gatherer.file.FileNode;
 import org.greenstone.gatherer.gui.metaaudit.Filter;
Index: trunk/gli/src/org/greenstone/gatherer/gui/table/TableCellRenderer.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/gui/table/TableCellRenderer.java	(revision 8238)
+++ trunk/gli/src/org/greenstone/gatherer/gui/table/TableCellRenderer.java	(revision 8240)
@@ -42,5 +42,4 @@
 import javax.swing.table.DefaultTableCellRenderer;
 import org.greenstone.gatherer.Configuration;
-import org.greenstone.gatherer.Gatherer;
 import org.greenstone.gatherer.msm.ElementWrapper;
 import org.greenstone.gatherer.msm.Metadata;
Index: trunk/gli/src/org/greenstone/gatherer/gui/tree/DragTreeCellRenderer.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/gui/tree/DragTreeCellRenderer.java	(revision 8238)
+++ trunk/gli/src/org/greenstone/gatherer/gui/tree/DragTreeCellRenderer.java	(revision 8240)
@@ -41,5 +41,4 @@
 import javax.swing.tree.DefaultTreeCellRenderer;
 import org.greenstone.gatherer.Configuration;
-import org.greenstone.gatherer.Gatherer;
 import org.greenstone.gatherer.file.FileNode;
 import org.greenstone.gatherer.util.StaticStrings;
Index: trunk/gli/src/org/greenstone/gatherer/mem/AttributeTableModel.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/mem/AttributeTableModel.java	(revision 8238)
+++ trunk/gli/src/org/greenstone/gatherer/mem/AttributeTableModel.java	(revision 8240)
@@ -41,6 +41,4 @@
 import javax.swing.*;
 import javax.swing.table.*;
-import org.greenstone.gatherer.Gatherer;
-import org.greenstone.gatherer.mem.Attribute;
 import org.greenstone.gatherer.util.Utility;
 /**
Index: trunk/gli/src/org/greenstone/gatherer/mem/MEMModel.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/mem/MEMModel.java	(revision 8238)
+++ trunk/gli/src/org/greenstone/gatherer/mem/MEMModel.java	(revision 8240)
@@ -38,6 +38,4 @@
 
 import javax.swing.tree.DefaultTreeModel;
-import org.greenstone.gatherer.Gatherer;
-import org.greenstone.gatherer.mem.MEMNode;
 import org.greenstone.gatherer.util.SynchronizedTreeModelTools;
 /**
Index: trunk/gli/src/org/greenstone/gatherer/metadata/DocXMLFile.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/metadata/DocXMLFile.java	(revision 8238)
+++ trunk/gli/src/org/greenstone/gatherer/metadata/DocXMLFile.java	(revision 8240)
@@ -30,5 +30,5 @@
 import java.io.*;
 import java.util.*;
-import org.greenstone.gatherer.Gatherer;
+import org.greenstone.gatherer.DebugStream;
 import org.greenstone.gatherer.util.Utility;
 
Index: trunk/gli/src/org/greenstone/gatherer/metadata/MetadataAuditTableModel.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/metadata/MetadataAuditTableModel.java	(revision 8238)
+++ trunk/gli/src/org/greenstone/gatherer/metadata/MetadataAuditTableModel.java	(revision 8240)
@@ -34,5 +34,5 @@
 import javax.swing.table.*;
 import org.greenstone.gatherer.Configuration;
-import org.greenstone.gatherer.Gatherer;
+import org.greenstone.gatherer.DebugStream;
 import org.greenstone.gatherer.file.FileNode;
 
Index: trunk/gli/src/org/greenstone/gatherer/metadata/MetadataXMLFile.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/metadata/MetadataXMLFile.java	(revision 8238)
+++ trunk/gli/src/org/greenstone/gatherer/metadata/MetadataXMLFile.java	(revision 8240)
@@ -30,5 +30,5 @@
 import java.io.*;
 import java.util.*;
-import org.greenstone.gatherer.Gatherer;
+import org.greenstone.gatherer.DebugStream;
 import org.greenstone.gatherer.util.XMLTools;
 import org.w3c.dom.*;
Index: trunk/gli/src/org/greenstone/gatherer/metadata/MetadataXMLFileManager.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/metadata/MetadataXMLFileManager.java	(revision 8238)
+++ trunk/gli/src/org/greenstone/gatherer/metadata/MetadataXMLFileManager.java	(revision 8240)
@@ -30,5 +30,5 @@
 import java.io.*;
 import java.util.*;
-import org.greenstone.gatherer.Gatherer;
+import org.greenstone.gatherer.DebugStream;
 import org.greenstone.gatherer.file.FileNode;
 import org.greenstone.gatherer.util.Utility;
Index: trunk/gli/src/org/greenstone/gatherer/msm/ExistingMetadataLoader.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/msm/ExistingMetadataLoader.java	(revision 8238)
+++ trunk/gli/src/org/greenstone/gatherer/msm/ExistingMetadataLoader.java	(revision 8240)
@@ -41,5 +41,4 @@
 import java.util.jar.*;
 import org.greenstone.gatherer.DebugStream;
-import org.greenstone.gatherer.Gatherer;
 import org.greenstone.gatherer.file.FileNode;
 import org.greenstone.gatherer.msm.MetadataParser;
Index: trunk/gli/src/org/greenstone/gatherer/msm/MDSFileFilter.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/msm/MDSFileFilter.java	(revision 8238)
+++ trunk/gli/src/org/greenstone/gatherer/msm/MDSFileFilter.java	(revision 8240)
@@ -40,5 +40,4 @@
 import javax.swing.filechooser.*;
 import org.greenstone.gatherer.Dictionary;
-import org.greenstone.gatherer.Gatherer;
 
 /** A custom <strong>FileFilter</strong> for the file choosers. */
Index: trunk/gli/src/org/greenstone/gatherer/msm/MetadataParser.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/msm/MetadataParser.java	(revision 8238)
+++ trunk/gli/src/org/greenstone/gatherer/msm/MetadataParser.java	(revision 8240)
@@ -37,5 +37,4 @@
 package org.greenstone.gatherer.msm;
 
-import org.greenstone.gatherer.Gatherer;
 import org.greenstone.gatherer.file.FileNode;
 
Index: trunk/gli/src/org/greenstone/gatherer/msm/MetadataSet.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/msm/MetadataSet.java	(revision 8238)
+++ trunk/gli/src/org/greenstone/gatherer/msm/MetadataSet.java	(revision 8240)
@@ -44,5 +44,4 @@
 import org.greenstone.gatherer.DebugStream;
 import org.greenstone.gatherer.Dictionary;
-import org.greenstone.gatherer.Gatherer;
 import org.greenstone.gatherer.valuetree.GValueModel;
 import org.greenstone.gatherer.valuetree.GValueNode;
@@ -530,5 +529,4 @@
      * @param default_string the value to return if no such element is found also as a String
      * @see org.greenstone.gatherer.Configuration#getLanguage()
-     * @see org.greenstone.gatherer.Gatherer#config
      * @see org.greenstone.gatherer.msm.MSMUtils#getValue(Node)
      * @see org.greenstone.gatherer.util.StaticStrings#CODE_ATTRIBUTE
Index: trunk/gli/src/org/greenstone/gatherer/util/AppendLineOnlyFileDocument.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/util/AppendLineOnlyFileDocument.java	(revision 8238)
+++ trunk/gli/src/org/greenstone/gatherer/util/AppendLineOnlyFileDocument.java	(revision 8240)
@@ -39,5 +39,4 @@
 import javax.swing.text.*;
 import org.greenstone.gatherer.DebugStream;
-import org.greenstone.gatherer.Gatherer;
 import org.greenstone.gatherer.gui.GLIButton;
 import org.greenstone.gatherer.util.StaticStrings;
@@ -77,6 +76,4 @@
     /** The constructor is responsible for creating several necessary data structures as well as opening the random access file. When it creates the new file, as it is wont to do, it will immediately add the special header line defined above.
      * @param filename the absolute path name of the file as a String
-     * @see org.greenstone.gatherer.Gatherer#println
-     * @see org.greenstone.gatherer.Gatherer#printStackTrace
      * @see org.greenstone.gatherer.util.AppendLineOnlyFileDocument.AppendLineOnlyFileDocumentElement
      * @see org.greenstone.gatherer.util.AppendLineOnlyFileDocument.WriterThread
@@ -131,5 +128,4 @@
     /** Append some content after the document. 
      * @param str the String to add as a new line in the document
-     * @see org.greenstone.gatherer.Gatherer#printStackTrace
      * @see org.greenstone.gatherer.util.AppendLineOnlyFileDocument.AppendLineOnlyFileDocumentElement
      * @see org.greenstone.gatherer.util.AppendLineOnlyFileDocument.AppendLineOnlyFileDocumentEvent
@@ -178,6 +174,4 @@
 
     /** The destructor is implemented to ensure the current log file has finished transferring from memory to disk, and that the random access file is properly closed, before GLI exits.
-     * @see org.greenstone.gatherer.Gatherer#println
-     * @see org.greenstone.gatherer.Gatherer#printStackTrace
      * @see org.greenstone.gatherer.util.AppendLineOnlyFileDocument.WriterThread#finish
      */
@@ -240,5 +234,4 @@
      * @param offset the starting offset for the fragment of text required, as an int
      * @param l the length of the text, also as an int
-     * @see org.greenstone.gatherer.Gatherer#printStackTrace
      * @see org.greenstone.gatherer.util.AppendLineOnlyFileDocument.AppendLineOnlyFileDocumentElement
      * @see org.greenstone.gatherer.util.StaticStrings#EMPTY_STR
@@ -358,5 +351,4 @@
     /** To record the final state of the logging process we reserve a single character at the start of the file, and then replace it when the build process is complete.
      * @param character the final status char to replace the X at the start of the log
-     * @see org.greenstone.gatherer.Gatherer#printStackTrace
      */
     public synchronized void setSpecialCharacter(char character) {
@@ -779,5 +771,4 @@
 
 	/** The run method of this thread checks if there are any document elements queued to be written to file, and then writes them as necessary.
-	 * @see org.greenstone.gatherer.Gatherer#printStackTrace
 	 * @see org.greenstone.gatherer.util.AppendLineOnlyFileDocument
 	 * @see org.greenstone.gatherer.util.AppendLineOnlyFileDocument.AppendLineOnlyFileDocumentElement
@@ -886,5 +877,4 @@
     /** Print a message to the GLI debug file stream.
      * @param message the message to be written as a String
-     * @see org.greenstone.gatherer.Gatherer#println
      */
     static synchronized public void print(String message) {
Index: trunk/gli/src/org/greenstone/gatherer/util/Codec.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/util/Codec.java	(revision 8238)
+++ trunk/gli/src/org/greenstone/gatherer/util/Codec.java	(revision 8240)
@@ -30,5 +30,4 @@
  ************************************************************************/
 import java.util.*;
-import org.greenstone.gatherer.Gatherer;
 import org.greenstone.gatherer.util.Utility;
 /** Provides a standard, extensible way to convert from one format of string to another (given that each format has differing requirements regarding legal characters and escaped characters)