Index: trunk/gsdl3/extensions/vishnu/src/vishnu/testvis/dendro/Clustering.java
===================================================================
--- trunk/gsdl3/extensions/vishnu/src/vishnu/testvis/dendro/Clustering.java	(revision 8283)
+++ trunk/gsdl3/extensions/vishnu/src/vishnu/testvis/dendro/Clustering.java	(revision 8284)
@@ -34,5 +34,5 @@
 
 
-    public Clustering (DataManager dm, int linkage, int [][]m,
+    public Clustering (DataManager dm, int linkage, float [][]m,
 		       int num_of_vectors,
 		       int arraySize, int min_c_items,
@@ -53,5 +53,5 @@
 	
 	double[] heights;
-	double [][] vectors = intToDoubleMatrix(m);
+	double [][] vectors = floatToDoubleMatrix(m);//intToDoubleMatrix(m);
 	//int [] coding = new int[m.length];
         
@@ -214,4 +214,18 @@
         return res;
    }
+    static double[][] floatToDoubleMatrix(float [][] m)
+    {
+        int h=m.length;
+        double [][] res = null;
+        if (h > 0)
+        {
+          int w = m[0].length;
+          res = new double[h][w];
+          for(int c=0;c<h;c++)
+            for(int d = 0; d<w; d++)
+              res[c][d]=(double)m[c][d];
+        }
+        return res;
+   }
 
 
Index: trunk/gsdl3/extensions/vishnu/src/vishnu/testvis/dendro/TreePanel.java
===================================================================
--- trunk/gsdl3/extensions/vishnu/src/vishnu/testvis/dendro/TreePanel.java	(revision 8283)
+++ trunk/gsdl3/extensions/vishnu/src/vishnu/testvis/dendro/TreePanel.java	(revision 8284)
@@ -375,6 +375,6 @@
         }
         
-        int [][] full = m.getExpanded(); 
-        
+        //int [][] full = m.getExpanded(); 
+        float [][] full = m.getExpanded(); 
         // the number of new clusters generated is either 20
         // or if there are not many docs half the #docs
@@ -385,7 +385,7 @@
                       
         Clustering clustering = new Clustering(dataManager,Clustering.COMPLETE_LINKAGE,
-                                                    full,m.getRowCount(),
-                                                    m.getColumnCount(),1,
-                                                    clusterNum,limit);
+					       full,m.getRowCount(),
+					       m.getColumnCount(),1,
+					       clusterNum,limit);
           
         root = clustering.getRoot();
Index: trunk/gsdl3/extensions/vishnu/src/vishnu/testvis/object/DataManager.java
===================================================================
--- trunk/gsdl3/extensions/vishnu/src/vishnu/testvis/object/DataManager.java	(revision 8283)
+++ trunk/gsdl3/extensions/vishnu/src/vishnu/testvis/object/DataManager.java	(revision 8284)
@@ -10,5 +10,5 @@
 
 import vishnu.testvis.sammon.*;
-import vishnu.sammon.Sammon;
+import vishnu.util.Sammon;
 import vishnu.cluster.Clustering;
 import vishnu.testvis.browser.*;
@@ -496,5 +496,5 @@
         }
         
-        int [][] full = m.getExpanded(); 
+        float [][] full = m.getExpanded(); 
         
         // the number of new clusters generated is either 20
@@ -507,10 +507,10 @@
                       
         Clustering clustering = new Clustering(Clustering.COMPLETE_LINKAGE,
-                                                    full,m.getRowCount(),
-                                                    m.getColumnCount(),1,
-                                                    clusterNum,limit);
+					       full,/*m.getRowCount(),
+						      m.getColumnCount(),*/1,
+					       clusterNum,limit);
                                                     
-        Vector [] clusters = clustering.getTheResults();
-        double [][] centroids= clustering.getTheCentroids();
+        Vector [] clusters = clustering.getClusters();
+        double [][] centroids= clustering.getCentroids();
 
         Sammon map = new Sammon(centroids);
Index: trunk/gsdl3/extensions/vishnu/src/vishnu/testvis/object/DocObj.java
===================================================================
--- trunk/gsdl3/extensions/vishnu/src/vishnu/testvis/object/DocObj.java	(revision 8283)
+++ trunk/gsdl3/extensions/vishnu/src/vishnu/testvis/object/DocObj.java	(revision 8284)
@@ -43,5 +43,5 @@
         return _weights;
     }
-    public int getWeights(int i)
+    public float getWeights(int i)
     {
         SparseNode test = _weights;
Index: trunk/gsdl3/extensions/vishnu/src/vishnu/testvis/object/GSDLEngine.java
===================================================================
--- trunk/gsdl3/extensions/vishnu/src/vishnu/testvis/object/GSDLEngine.java	(revision 8283)
+++ trunk/gsdl3/extensions/vishnu/src/vishnu/testvis/object/GSDLEngine.java	(revision 8284)
@@ -6,5 +6,5 @@
 import vishnu.testvis.visual.*;
 import vishnu.server.Packaging;
-import vishnu.server.XMLUtil;
+import vishnu.util.XMLUtil;
 
 import org.w3c.dom.Element;
Index: trunk/gsdl3/extensions/vishnu/src/vishnu/testvis/visual/CvManyPoints.java
===================================================================
--- trunk/gsdl3/extensions/vishnu/src/vishnu/testvis/visual/CvManyPoints.java	(revision 8283)
+++ trunk/gsdl3/extensions/vishnu/src/vishnu/testvis/visual/CvManyPoints.java	(revision 8284)
@@ -99,5 +99,6 @@
     protected MapKeyWords mapping;
     /** A two dimensional array of integers used for clustering */
-    protected int [][] fullMatrix;
+    //protected int [][] fullMatrix;
+    protected float [][] fullMatrix;
     /** array of data to draw target */
     protected int circles[][] = new int[maxCircleCount][4];
Index: trunk/gsdl3/extensions/vishnu/src/vishnu/testvis/visual/HitCluster.java
===================================================================
--- trunk/gsdl3/extensions/vishnu/src/vishnu/testvis/visual/HitCluster.java	(revision 8283)
+++ trunk/gsdl3/extensions/vishnu/src/vishnu/testvis/visual/HitCluster.java	(revision 8284)
@@ -13,5 +13,6 @@
     static final int EMPTYARRAY[] = {};
     static int matrix[][];
-    static int data[][];
+    // static int data[][];
+    static float data [][];
     static int clusters[][];
     static int keywords[];
@@ -106,5 +107,5 @@
     }
 
-    static int[] maximunDistance (int[][] newData, int[] newKeywords, int documentCount)
+    static int[] maximunDistance (float[][] newData, int[] newKeywords, int documentCount)
     {
 	    data = newData;
Index: trunk/gsdl3/packages/vishnu/src/vishnu/testvis/dendro/Clustering.java
===================================================================
--- trunk/gsdl3/packages/vishnu/src/vishnu/testvis/dendro/Clustering.java	(revision 8283)
+++ trunk/gsdl3/packages/vishnu/src/vishnu/testvis/dendro/Clustering.java	(revision 8284)
@@ -34,5 +34,5 @@
 
 
-    public Clustering (DataManager dm, int linkage, int [][]m,
+    public Clustering (DataManager dm, int linkage, float [][]m,
 		       int num_of_vectors,
 		       int arraySize, int min_c_items,
@@ -53,5 +53,5 @@
 	
 	double[] heights;
-	double [][] vectors = intToDoubleMatrix(m);
+	double [][] vectors = floatToDoubleMatrix(m);//intToDoubleMatrix(m);
 	//int [] coding = new int[m.length];
         
@@ -214,4 +214,18 @@
         return res;
    }
+    static double[][] floatToDoubleMatrix(float [][] m)
+    {
+        int h=m.length;
+        double [][] res = null;
+        if (h > 0)
+        {
+          int w = m[0].length;
+          res = new double[h][w];
+          for(int c=0;c<h;c++)
+            for(int d = 0; d<w; d++)
+              res[c][d]=(double)m[c][d];
+        }
+        return res;
+   }
 
 
Index: trunk/gsdl3/packages/vishnu/src/vishnu/testvis/dendro/TreePanel.java
===================================================================
--- trunk/gsdl3/packages/vishnu/src/vishnu/testvis/dendro/TreePanel.java	(revision 8283)
+++ trunk/gsdl3/packages/vishnu/src/vishnu/testvis/dendro/TreePanel.java	(revision 8284)
@@ -375,6 +375,6 @@
         }
         
-        int [][] full = m.getExpanded(); 
-        
+        //int [][] full = m.getExpanded(); 
+        float [][] full = m.getExpanded(); 
         // the number of new clusters generated is either 20
         // or if there are not many docs half the #docs
@@ -385,7 +385,7 @@
                       
         Clustering clustering = new Clustering(dataManager,Clustering.COMPLETE_LINKAGE,
-                                                    full,m.getRowCount(),
-                                                    m.getColumnCount(),1,
-                                                    clusterNum,limit);
+					       full,m.getRowCount(),
+					       m.getColumnCount(),1,
+					       clusterNum,limit);
           
         root = clustering.getRoot();
Index: trunk/gsdl3/packages/vishnu/src/vishnu/testvis/object/DataManager.java
===================================================================
--- trunk/gsdl3/packages/vishnu/src/vishnu/testvis/object/DataManager.java	(revision 8283)
+++ trunk/gsdl3/packages/vishnu/src/vishnu/testvis/object/DataManager.java	(revision 8284)
@@ -10,5 +10,5 @@
 
 import vishnu.testvis.sammon.*;
-import vishnu.sammon.Sammon;
+import vishnu.util.Sammon;
 import vishnu.cluster.Clustering;
 import vishnu.testvis.browser.*;
@@ -496,5 +496,5 @@
         }
         
-        int [][] full = m.getExpanded(); 
+        float [][] full = m.getExpanded(); 
         
         // the number of new clusters generated is either 20
@@ -507,10 +507,10 @@
                       
         Clustering clustering = new Clustering(Clustering.COMPLETE_LINKAGE,
-                                                    full,m.getRowCount(),
-                                                    m.getColumnCount(),1,
-                                                    clusterNum,limit);
+					       full,/*m.getRowCount(),
+						      m.getColumnCount(),*/1,
+					       clusterNum,limit);
                                                     
-        Vector [] clusters = clustering.getTheResults();
-        double [][] centroids= clustering.getTheCentroids();
+        Vector [] clusters = clustering.getClusters();
+        double [][] centroids= clustering.getCentroids();
 
         Sammon map = new Sammon(centroids);
Index: trunk/gsdl3/packages/vishnu/src/vishnu/testvis/object/DocObj.java
===================================================================
--- trunk/gsdl3/packages/vishnu/src/vishnu/testvis/object/DocObj.java	(revision 8283)
+++ trunk/gsdl3/packages/vishnu/src/vishnu/testvis/object/DocObj.java	(revision 8284)
@@ -43,5 +43,5 @@
         return _weights;
     }
-    public int getWeights(int i)
+    public float getWeights(int i)
     {
         SparseNode test = _weights;
Index: trunk/gsdl3/packages/vishnu/src/vishnu/testvis/object/GSDLEngine.java
===================================================================
--- trunk/gsdl3/packages/vishnu/src/vishnu/testvis/object/GSDLEngine.java	(revision 8283)
+++ trunk/gsdl3/packages/vishnu/src/vishnu/testvis/object/GSDLEngine.java	(revision 8284)
@@ -6,5 +6,5 @@
 import vishnu.testvis.visual.*;
 import vishnu.server.Packaging;
-import vishnu.server.XMLUtil;
+import vishnu.util.XMLUtil;
 
 import org.w3c.dom.Element;
Index: trunk/gsdl3/packages/vishnu/src/vishnu/testvis/visual/CvManyPoints.java
===================================================================
--- trunk/gsdl3/packages/vishnu/src/vishnu/testvis/visual/CvManyPoints.java	(revision 8283)
+++ trunk/gsdl3/packages/vishnu/src/vishnu/testvis/visual/CvManyPoints.java	(revision 8284)
@@ -99,5 +99,6 @@
     protected MapKeyWords mapping;
     /** A two dimensional array of integers used for clustering */
-    protected int [][] fullMatrix;
+    //protected int [][] fullMatrix;
+    protected float [][] fullMatrix;
     /** array of data to draw target */
     protected int circles[][] = new int[maxCircleCount][4];
Index: trunk/gsdl3/packages/vishnu/src/vishnu/testvis/visual/HitCluster.java
===================================================================
--- trunk/gsdl3/packages/vishnu/src/vishnu/testvis/visual/HitCluster.java	(revision 8283)
+++ trunk/gsdl3/packages/vishnu/src/vishnu/testvis/visual/HitCluster.java	(revision 8284)
@@ -13,5 +13,6 @@
     static final int EMPTYARRAY[] = {};
     static int matrix[][];
-    static int data[][];
+    // static int data[][];
+    static float data [][];
     static int clusters[][];
     static int keywords[];
@@ -106,5 +107,5 @@
     }
 
-    static int[] maximunDistance (int[][] newData, int[] newKeywords, int documentCount)
+    static int[] maximunDistance (float[][] newData, int[] newKeywords, int documentCount)
     {
 	    data = newData;