Index: /trunk/greenstone3-extensions/vishnu/src/vishnu/Makefile
===================================================================
--- /trunk/greenstone3-extensions/vishnu/src/vishnu/Makefile	(revision 8295)
+++ /trunk/greenstone3-extensions/vishnu/src/vishnu/Makefile	(revision 8295)
@@ -0,0 +1,76 @@
+############################################################################
+#
+# Makefile -- Makefile for vishnu package
+#
+# Copyright (C) 2004 Imperial College, London
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+#
+###########################################################################
+
+PACKAGE=vishnu
+VERSION=1.0
+
+# prefix for use with Greenstone 3
+prefix=$(GSDL3HOME)
+# prefix for standalone vishnu
+#prefix=../../
+
+# a directory on the java classpath
+JAVALIBDIR=$(prefix)/lib/java
+# the directory for applet jar files
+WEBLIBDIR=$(prefix)/web/lib
+SERVLETCLASSDIR=$(prefix)/web/WEB-INF/classes/vishnu/server
+
+# this is to find the mg stuff when installing as part of Greenstone 3 - 
+# otherwise the mg jar file should be in the classpath
+MYCLASSPATH=$(CLASSPATH):$(prefix)/packages/mg/java/org/greenstone/mg/classes
+
+# the top level src directory
+JAVASRCDIR=../
+
+#the base directory where to put class files
+JAVACLASSDIR=./classes
+
+#name/location of java compiler
+JAVAC=$(JAVA_HOME)/bin/javac
+JAVA=$(JAVA_HOME)/bin/java
+JAR=$(JAVA_HOME)/bin/jar
+
+JAVACOPTIONS= -deprecation -g 
+
+all: compile
+
+setup:
+	mkdir -p $(JAVACLASSDIR)
+	mkdir -p $(JAVALIBDIR)
+	mkdir -p $(SERVLETCLASSDIR)
+
+compile: setup
+	$(JAVAC) -classpath $(MYCLASSPATH) -d $(JAVACLASSDIR) -sourcepath $(JAVASRCDIR) $(JAVACOPTIONS) */*.java */*/*.java */*/*/*.java
+	jar cf vishnu.jar -C $(JAVACLASSDIR) vishnu
+
+install:
+	cp vishnu.jar $(JAVALIBDIR)/
+	cp vishnu.jar $(WEBLIBDIR)/
+	cp $(JAVACLASSDIR)/vishnu/server/VisServlet.class $(SERVLETCLASSDIR)/
+
+clean:
+	rm -r vishnu.jar $(JAVACLASSDIR)/*
+
+distclean: clean
+
+
+
Index: unk/greenstone3-extensions/vishnu/src/vishnu/Makefile.in
===================================================================
--- /trunk/greenstone3-extensions/vishnu/src/vishnu/Makefile.in	(revision 8294)
+++ 	(revision )
@@ -1,79 +1,0 @@
-############################################################################
-#
-# Makefile -- Makefile for vishnu java source
-#
-# A component of the Greenstone digital library software
-# from the New Zealand Digital Library Project at the
-# University of Waikato, New Zealand.
-#
-# Copyright (C) 2000 New Zealand Digital Library Project
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-#
-###########################################################################
-
-PACKAGE=@PACKAGE@
-VERSION=@VERSION@
-
-# edit these values if you need to
-prefix=@prefix@
-# a directory on the java classpath
-JAVALIBDIR=$(prefix)/lib/java
-# the directory for applet jar files
-WEBLIBDIR=$(prefix)/web/lib
-SERVLETCLASSDIR=$(prefix)/web/WEB-INF/classes/vishnu/server
-
-# this is to find the mg stuff when installing as part of Greenstone
-MYCLASSPATH=$(CLASSPATH):$(prefix)/packages/mg/java/org/greenstone/mg/classes
-VISHNUHOME=../../
-# the top level src directory
-JAVASRCDIR=../
-
-#the base directory where to put class files
-JAVACLASSDIR=./classes
-
-#name/location of java compiler
-JAVAC=$(JAVA_HOME)/bin/javac
-JAVA=$(JAVA_HOME)/bin/java
-JAVAH=$(JAVA_HOME)/bin/javah
-JAR=$(JAVA_HOME)/bin/jar
-
-JAVACOPTIONS= -deprecation -g 
-
-all: compile
-
-setup:
-	mkdir -p $(JAVACLASSDIR)
-
-compile: setup
-	$(JAVAC) -classpath $(MYCLASSPATH) -d $(JAVACLASSDIR) -sourcepath $(JAVASRCDIR) $(JAVACOPTIONS) */*.java */*/*.java */*/*/*.java
-	$(JAVAH) -classpath $(JAVACLASSDIR) -d $(JAVASRCDIR)/cluster vishnu.server.Cluster
-	jar cf vishnu.jar -C $(JAVACLASSDIR) vishnu
-
-install:
-	cp vishnu.jar $(JAVALIBDIR)/
-	cp vishnu.jar $(WEBLIBDIR)/
-	# uncomment the following if using vishnu outside of greenstone
-	#$(VISHNUHOME)/mkinstalldirs $(SERVLETCLASSDIR)
-	#$(VISHNUHOME)/mkinstalldirs $(VISHNUHOME)/lib
-	#cp $(JAVACLASSDIR)/vishnu/server/VisServlet.class $(SERVLETCLASSDIR)/
-	#cp vishnu.jar $(VISHNUHOME)/lib
-clean:
-	rm -r vishnu.jar ./classes/*
-
-distclean: clean
-	rm Makefile
-
-
Index: /trunk/gsdl3/extensions/vishnu/src/vishnu/Makefile
===================================================================
--- /trunk/gsdl3/extensions/vishnu/src/vishnu/Makefile	(revision 8295)
+++ /trunk/gsdl3/extensions/vishnu/src/vishnu/Makefile	(revision 8295)
@@ -0,0 +1,76 @@
+############################################################################
+#
+# Makefile -- Makefile for vishnu package
+#
+# Copyright (C) 2004 Imperial College, London
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+#
+###########################################################################
+
+PACKAGE=vishnu
+VERSION=1.0
+
+# prefix for use with Greenstone 3
+prefix=$(GSDL3HOME)
+# prefix for standalone vishnu
+#prefix=../../
+
+# a directory on the java classpath
+JAVALIBDIR=$(prefix)/lib/java
+# the directory for applet jar files
+WEBLIBDIR=$(prefix)/web/lib
+SERVLETCLASSDIR=$(prefix)/web/WEB-INF/classes/vishnu/server
+
+# this is to find the mg stuff when installing as part of Greenstone 3 - 
+# otherwise the mg jar file should be in the classpath
+MYCLASSPATH=$(CLASSPATH):$(prefix)/packages/mg/java/org/greenstone/mg/classes
+
+# the top level src directory
+JAVASRCDIR=../
+
+#the base directory where to put class files
+JAVACLASSDIR=./classes
+
+#name/location of java compiler
+JAVAC=$(JAVA_HOME)/bin/javac
+JAVA=$(JAVA_HOME)/bin/java
+JAR=$(JAVA_HOME)/bin/jar
+
+JAVACOPTIONS= -deprecation -g 
+
+all: compile
+
+setup:
+	mkdir -p $(JAVACLASSDIR)
+	mkdir -p $(JAVALIBDIR)
+	mkdir -p $(SERVLETCLASSDIR)
+
+compile: setup
+	$(JAVAC) -classpath $(MYCLASSPATH) -d $(JAVACLASSDIR) -sourcepath $(JAVASRCDIR) $(JAVACOPTIONS) */*.java */*/*.java */*/*/*.java
+	jar cf vishnu.jar -C $(JAVACLASSDIR) vishnu
+
+install:
+	cp vishnu.jar $(JAVALIBDIR)/
+	cp vishnu.jar $(WEBLIBDIR)/
+	cp $(JAVACLASSDIR)/vishnu/server/VisServlet.class $(SERVLETCLASSDIR)/
+
+clean:
+	rm -r vishnu.jar $(JAVACLASSDIR)/*
+
+distclean: clean
+
+
+
Index: unk/gsdl3/extensions/vishnu/src/vishnu/Makefile.in
===================================================================
--- /trunk/gsdl3/extensions/vishnu/src/vishnu/Makefile.in	(revision 8294)
+++ 	(revision )
@@ -1,79 +1,0 @@
-############################################################################
-#
-# Makefile -- Makefile for vishnu java source
-#
-# A component of the Greenstone digital library software
-# from the New Zealand Digital Library Project at the
-# University of Waikato, New Zealand.
-#
-# Copyright (C) 2000 New Zealand Digital Library Project
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-#
-###########################################################################
-
-PACKAGE=@PACKAGE@
-VERSION=@VERSION@
-
-# edit these values if you need to
-prefix=@prefix@
-# a directory on the java classpath
-JAVALIBDIR=$(prefix)/lib/java
-# the directory for applet jar files
-WEBLIBDIR=$(prefix)/web/lib
-SERVLETCLASSDIR=$(prefix)/web/WEB-INF/classes/vishnu/server
-
-# this is to find the mg stuff when installing as part of Greenstone
-MYCLASSPATH=$(CLASSPATH):$(prefix)/packages/mg/java/org/greenstone/mg/classes
-VISHNUHOME=../../
-# the top level src directory
-JAVASRCDIR=../
-
-#the base directory where to put class files
-JAVACLASSDIR=./classes
-
-#name/location of java compiler
-JAVAC=$(JAVA_HOME)/bin/javac
-JAVA=$(JAVA_HOME)/bin/java
-JAVAH=$(JAVA_HOME)/bin/javah
-JAR=$(JAVA_HOME)/bin/jar
-
-JAVACOPTIONS= -deprecation -g 
-
-all: compile
-
-setup:
-	mkdir -p $(JAVACLASSDIR)
-
-compile: setup
-	$(JAVAC) -classpath $(MYCLASSPATH) -d $(JAVACLASSDIR) -sourcepath $(JAVASRCDIR) $(JAVACOPTIONS) */*.java */*/*.java */*/*/*.java
-	$(JAVAH) -classpath $(JAVACLASSDIR) -d $(JAVASRCDIR)/cluster vishnu.server.Cluster
-	jar cf vishnu.jar -C $(JAVACLASSDIR) vishnu
-
-install:
-	cp vishnu.jar $(JAVALIBDIR)/
-	cp vishnu.jar $(WEBLIBDIR)/
-	# uncomment the following if using vishnu outside of greenstone
-	#$(VISHNUHOME)/mkinstalldirs $(SERVLETCLASSDIR)
-	#$(VISHNUHOME)/mkinstalldirs $(VISHNUHOME)/lib
-	#cp $(JAVACLASSDIR)/vishnu/server/VisServlet.class $(SERVLETCLASSDIR)/
-	#cp vishnu.jar $(VISHNUHOME)/lib
-clean:
-	rm -r vishnu.jar ./classes/*
-
-distclean: clean
-	rm Makefile
-
-
Index: /trunk/gsdl3/packages/vishnu/src/vishnu/Makefile
===================================================================
--- /trunk/gsdl3/packages/vishnu/src/vishnu/Makefile	(revision 8295)
+++ /trunk/gsdl3/packages/vishnu/src/vishnu/Makefile	(revision 8295)
@@ -0,0 +1,76 @@
+############################################################################
+#
+# Makefile -- Makefile for vishnu package
+#
+# Copyright (C) 2004 Imperial College, London
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+#
+###########################################################################
+
+PACKAGE=vishnu
+VERSION=1.0
+
+# prefix for use with Greenstone 3
+prefix=$(GSDL3HOME)
+# prefix for standalone vishnu
+#prefix=../../
+
+# a directory on the java classpath
+JAVALIBDIR=$(prefix)/lib/java
+# the directory for applet jar files
+WEBLIBDIR=$(prefix)/web/lib
+SERVLETCLASSDIR=$(prefix)/web/WEB-INF/classes/vishnu/server
+
+# this is to find the mg stuff when installing as part of Greenstone 3 - 
+# otherwise the mg jar file should be in the classpath
+MYCLASSPATH=$(CLASSPATH):$(prefix)/packages/mg/java/org/greenstone/mg/classes
+
+# the top level src directory
+JAVASRCDIR=../
+
+#the base directory where to put class files
+JAVACLASSDIR=./classes
+
+#name/location of java compiler
+JAVAC=$(JAVA_HOME)/bin/javac
+JAVA=$(JAVA_HOME)/bin/java
+JAR=$(JAVA_HOME)/bin/jar
+
+JAVACOPTIONS= -deprecation -g 
+
+all: compile
+
+setup:
+	mkdir -p $(JAVACLASSDIR)
+	mkdir -p $(JAVALIBDIR)
+	mkdir -p $(SERVLETCLASSDIR)
+
+compile: setup
+	$(JAVAC) -classpath $(MYCLASSPATH) -d $(JAVACLASSDIR) -sourcepath $(JAVASRCDIR) $(JAVACOPTIONS) */*.java */*/*.java */*/*/*.java
+	jar cf vishnu.jar -C $(JAVACLASSDIR) vishnu
+
+install:
+	cp vishnu.jar $(JAVALIBDIR)/
+	cp vishnu.jar $(WEBLIBDIR)/
+	cp $(JAVACLASSDIR)/vishnu/server/VisServlet.class $(SERVLETCLASSDIR)/
+
+clean:
+	rm -r vishnu.jar $(JAVACLASSDIR)/*
+
+distclean: clean
+
+
+
Index: unk/gsdl3/packages/vishnu/src/vishnu/Makefile.in
===================================================================
--- /trunk/gsdl3/packages/vishnu/src/vishnu/Makefile.in	(revision 8294)
+++ 	(revision )
@@ -1,79 +1,0 @@
-############################################################################
-#
-# Makefile -- Makefile for vishnu java source
-#
-# A component of the Greenstone digital library software
-# from the New Zealand Digital Library Project at the
-# University of Waikato, New Zealand.
-#
-# Copyright (C) 2000 New Zealand Digital Library Project
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-#
-###########################################################################
-
-PACKAGE=@PACKAGE@
-VERSION=@VERSION@
-
-# edit these values if you need to
-prefix=@prefix@
-# a directory on the java classpath
-JAVALIBDIR=$(prefix)/lib/java
-# the directory for applet jar files
-WEBLIBDIR=$(prefix)/web/lib
-SERVLETCLASSDIR=$(prefix)/web/WEB-INF/classes/vishnu/server
-
-# this is to find the mg stuff when installing as part of Greenstone
-MYCLASSPATH=$(CLASSPATH):$(prefix)/packages/mg/java/org/greenstone/mg/classes
-VISHNUHOME=../../
-# the top level src directory
-JAVASRCDIR=../
-
-#the base directory where to put class files
-JAVACLASSDIR=./classes
-
-#name/location of java compiler
-JAVAC=$(JAVA_HOME)/bin/javac
-JAVA=$(JAVA_HOME)/bin/java
-JAVAH=$(JAVA_HOME)/bin/javah
-JAR=$(JAVA_HOME)/bin/jar
-
-JAVACOPTIONS= -deprecation -g 
-
-all: compile
-
-setup:
-	mkdir -p $(JAVACLASSDIR)
-
-compile: setup
-	$(JAVAC) -classpath $(MYCLASSPATH) -d $(JAVACLASSDIR) -sourcepath $(JAVASRCDIR) $(JAVACOPTIONS) */*.java */*/*.java */*/*/*.java
-	$(JAVAH) -classpath $(JAVACLASSDIR) -d $(JAVASRCDIR)/cluster vishnu.server.Cluster
-	jar cf vishnu.jar -C $(JAVACLASSDIR) vishnu
-
-install:
-	cp vishnu.jar $(JAVALIBDIR)/
-	cp vishnu.jar $(WEBLIBDIR)/
-	# uncomment the following if using vishnu outside of greenstone
-	#$(VISHNUHOME)/mkinstalldirs $(SERVLETCLASSDIR)
-	#$(VISHNUHOME)/mkinstalldirs $(VISHNUHOME)/lib
-	#cp $(JAVACLASSDIR)/vishnu/server/VisServlet.class $(SERVLETCLASSDIR)/
-	#cp vishnu.jar $(VISHNUHOME)/lib
-clean:
-	rm -r vishnu.jar ./classes/*
-
-distclean: clean
-	rm Makefile
-
-