Index: trunk/gsdl/macros/french2.dm
===================================================================
--- trunk/gsdl/macros/french2.dm	(revision 8378)
+++ trunk/gsdl/macros/french2.dm	(revision 8387)
@@ -171,8 +171,13 @@
 
 
-## "l'Interface BibliothÃ©caire" ## home_page_button ## cgli ##
+## "l'Interface BibliothÃ©caire de Greenstone" ## home_page_button ## cgli ##
 _httpiconcgliof_ [l=fr] {_httpimg_/fr/cgliof.gif}
 _httpiconcglion_ [l=fr] {_httpimg_/fr/cglion.gif}
 _widthcgli_ [l=fr] {100}
+
+## "Le Collector" ## home_page_button ## ccol ##
+_httpiconccolof_ [l=fr] {_httpimg_/fr/ccolof.gif}
+_httpiconccolon_ [l=fr] {_httpimg_/fr/ccolon.gif}
+_widthccol_ [l=fr] {100}
 
 ## "Le Traducteur" ## home_page_button ## ctrans ##
@@ -180,4 +185,19 @@
 _httpiconctranson_ [l=fr] {_httpimg_/fr/ctranson.gif}
 _widthctrans_ [l=fr] {100}
+
+## "Page d'Administration" ## home_page_button ## cadmin ##
+_httpiconcadminof_ [l=fr] {_httpimg_/fr/cadminof.gif}
+_httpiconcadminon_ [l=fr] {_httpimg_/fr/cadminon.gif}
+_widthcadmin_ [l=fr] {100}
+
+## "Ã Propos de Greenstone" ## home_page_button ## cabgs ##
+_httpiconcabgsof_ [l=fr] {_httpimg_/fr/cabgsof.gif}
+_httpiconcabgson_ [l=fr] {_httpimg_/fr/cabgson.gif}
+_widthcabgs_ [l=fr] {100}
+
+## "Documentation Greenstone" ## home_page_button ## cgsdoc ##
+_httpiconcgsdocof_ [l=fr] {_httpimg_/fr/cgsdocof.gif}
+_httpiconcgsdocon_ [l=fr] {_httpimg_/fr/cgsdocon.gif}
+_widthcgsdoc_ [l=fr] {100}
 
 
Index: trunk/gsdl/macros/russian2.dm
===================================================================
--- trunk/gsdl/macros/russian2.dm	(revision 8378)
+++ trunk/gsdl/macros/russian2.dm	(revision 8387)
@@ -141,8 +141,28 @@
 _widthcgli_ [l=ru] {100}
 
+## "Ð¡Ð±ÐŸÑÑÐžÐº" ## home_page_button ## ccol ##
+_httpiconccolof_ [l=ru] {_httpimg_/ru/ccolof.gif}
+_httpiconccolon_ [l=ru] {_httpimg_/ru/ccolon.gif}
+_widthccol_ [l=ru] {100}
+
 ## "ÐÐµÑÐµÐ²ÐŸÐŽÑÐžÐº (ÑÑÐ°ÐœÑÐ»ÑÑÐŸÑ)" ## home_page_button ## ctrans ##
 _httpiconctransof_ [l=ru] {_httpimg_/ru/ctransof.gif}
 _httpiconctranson_ [l=ru] {_httpimg_/ru/ctranson.gif}
 _widthctrans_ [l=ru] {100}
+
+## "ÐÐŽÐŒÐžÐœÐžÑÑÑÐ°ÑÐžÐ²ÐœÐ°Ñ ÑÑÑÐ°ÐœÐžÑÐ°" ## home_page_button ## cadmin ##
+_httpiconcadminof_ [l=ru] {_httpimg_/ru/cadminof.gif}
+_httpiconcadminon_ [l=ru] {_httpimg_/ru/cadminon.gif}
+_widthcadmin_ [l=ru] {100}
+
+## "Ð Greenstone" ## home_page_button ## cabgs ##
+_httpiconcabgsof_ [l=ru] {_httpimg_/ru/cabgsof.gif}
+_httpiconcabgson_ [l=ru] {_httpimg_/ru/cabgson.gif}
+_widthcabgs_ [l=ru] {100}
+
+## "ÐÐŸÐºÑÐŒÐµÐœÑÐ°ÑÐžÑ Greenstone" ## home_page_button ## cgsdoc ##
+_httpiconcgsdocof_ [l=ru] {_httpimg_/ru/cgsdocof.gif}
+_httpiconcgsdocon_ [l=ru] {_httpimg_/ru/cgsdocon.gif}
+_widthcgsdoc_ [l=ru] {100}
 
 
Index: trunk/gsdl/macros/spanish2.dm
===================================================================
--- trunk/gsdl/macros/spanish2.dm	(revision 8378)
+++ trunk/gsdl/macros/spanish2.dm	(revision 8387)
@@ -166,8 +166,13 @@
 
 
-## "Interfaz de la Biblioteca" ## home_page_button ## cgli ##
+## "Interfaz de la Biblioteca Digital Greenstone" ## home_page_button ## cgli ##
 _httpiconcgliof_ [l=es] {_httpimg_/es/cgliof.gif}
 _httpiconcglion_ [l=es] {_httpimg_/es/cglion.gif}
 _widthcgli_ [l=es] {100}
+
+## "El Colector" ## home_page_button ## ccol ##
+_httpiconccolof_ [l=es] {_httpimg_/es/ccolof.gif}
+_httpiconccolon_ [l=es] {_httpimg_/es/ccolon.gif}
+_widthccol_ [l=es] {100}
 
 ## "El traductor" ## home_page_button ## ctrans ##
@@ -175,4 +180,19 @@
 _httpiconctranson_ [l=es] {_httpimg_/es/ctranson.gif}
 _widthctrans_ [l=es] {100}
+
+## "PÃ¡gina de administraciÃ³n" ## home_page_button ## cadmin ##
+_httpiconcadminof_ [l=es] {_httpimg_/es/cadminof.gif}
+_httpiconcadminon_ [l=es] {_httpimg_/es/cadminon.gif}
+_widthcadmin_ [l=es] {100}
+
+## "Acerca de Greenstone" ## home_page_button ## cabgs ##
+_httpiconcabgsof_ [l=es] {_httpimg_/es/cabgsof.gif}
+_httpiconcabgson_ [l=es] {_httpimg_/es/cabgson.gif}
+_widthcabgs_ [l=es] {100}
+
+## "DocumentaciÃ³n de Greenstone" ## home_page_button ## cgsdoc ##
+_httpiconcgsdocof_ [l=es] {_httpimg_/es/cgsdocof.gif}
+_httpiconcgsdocon_ [l=es] {_httpimg_/es/cgsdocon.gif}
+_widthcgsdoc_ [l=es] {100}
 
 