Index: trunk/gsdl/collect/demo/etc/dls.AZList.txt
===================================================================
--- trunk/gsdl/collect/demo/etc/dls.AZList.txt	(revision 8387)
+++ trunk/gsdl/collect/demo/etc/dls.AZList.txt	(revision 8389)
Index: trunk/gsdl/collect/demo/etc/dls.Keyword.txt
===================================================================
--- trunk/gsdl/collect/demo/etc/dls.Keyword.txt	(revision 8387)
+++ trunk/gsdl/collect/demo/etc/dls.Keyword.txt	(revision 8389)
Index: trunk/gsdl/collect/demo/etc/dls.Organization.txt
===================================================================
--- trunk/gsdl/collect/demo/etc/dls.Organization.txt	(revision 8387)
+++ trunk/gsdl/collect/demo/etc/dls.Organization.txt	(revision 8389)
@@ -1,16 +1,4 @@
-"ACCU"	1	"ACCU"
-"Agenda 21"	2	"Agenda 21"
-"Alkire"	3	"Alkire"
-"BOSTID"	4	"BOSTID"
-"CPS"	5	"CPS"
-"Chandra"	6	"Chandra"
-"EC Courier"	7	"EC Courier"
-"FAO"	8	"FAO"
-"FAO Better Farming series"	9	"FAO Better Farming series"
-"Habitat"	10	"Habitat"
-"Inforse"	11	"Inforse"
-"International Institute for Rural Reconstruction"	12	"International Institute for Rural Reconstruction"
-"NGLS"	13	"NGLS"
-"Peace Corps"	14	"Peace Corps"
-"UNESCO"	15	"UNESCO"
-"World Bank"	16	"World Bank"
+"BOSTID"	1	"BOSTID"
+"EC Courier"	2	"EC Courier"
+"FAO Better Farming series"	3	"FAO Better Farming series"
+"World Bank"	4	"World Bank"
Index: trunk/gsdl/collect/demo/etc/dls.Subject.txt
===================================================================
--- trunk/gsdl/collect/demo/etc/dls.Subject.txt	(revision 8387)
+++ trunk/gsdl/collect/demo/etc/dls.Subject.txt	(revision 8389)
@@ -1,103 +1,14 @@
 "Agriculture and Food Processing"	1	"Agriculture and Food Processing"
-"Agriculture and Food Processing|Agricultural production systems (shifting cultivation, wet- land farming, dry- land farming, agroforestry)"	1.1	"Agricultural production systems (shifting cultivation, wet- land farming, dry- land farming, agroforestry)"
-"Agriculture and Food Processing|Agriculture (general works), Economics, Policies, Development, Research, Management"	1.2	"Agriculture (general works), Economics, Policies, Development, Research, Management"
-"Agriculture and Food Processing|Better Farming series of FAO and INADES - 46 booklets"	1.3	"Better Farming series of FAO and INADES - 46 booklets"
-"Agriculture and Food Processing|Fertilization and composting"	1.4	"Fertilization and composting"
-"Agriculture and Food Processing|Food processing and preservation"	1.5	"Food processing and preservation"
-"Agriculture and Food Processing|Food processing and preservation|Food drying (all kinds)"	1.5.1	"Food drying (all kinds)"
-"Agriculture and Food Processing|Irrigation and drainage"	1.6	"Irrigation and drainage"
-"Agriculture and Food Processing|Land reform, Settlements, Rural Development and related topics"	1.7	"Land reform, Settlements, Rural Development and related topics"
-"Agriculture and Food Processing|Organic farming, Eco-farming"	1.8	"Organic farming, Eco-farming"
-"Agriculture and Food Processing|Soil and land management, improvement and treatment"	1.9	"Soil and land management, improvement and treatment"
-"Agriculture and Food Processing|Storage and packaging of agricultural products, Post-Harvest management"	1.10	"Storage and packaging of agricultural products, Post-Harvest management"
+"Agriculture and Food Processing|Better Farming series of FAO and INADES - 46 booklets"	1.1	"Better Farming series of FAO and INADES - 46 booklets"
 "Animal Husbandry and Animal Product Processing"	2	"Animal Husbandry and Animal Product Processing"
-"Animal Husbandry and Animal Product Processing|Animal husbandry (general,works) incl. animal feed, works covering several aspects and animals, zoology"	2.1	"Animal husbandry (general,works) incl. animal feed, works covering several aspects and animals, zoology"
-"Animal Husbandry and Animal Product Processing|Animal traction (excl. implements), animal training"	2.2	"Animal traction (excl. implements), animal training"
-"Animal Husbandry and Animal Product Processing|Beekeeping and honey extraction"	2.3	"Beekeeping and honey extraction"
-"Animal Husbandry and Animal Product Processing|Cattle"	2.4	"Cattle"
-"Animal Husbandry and Animal Product Processing|Other animals (micro-livestock, little known animals, silkworms, reptiles, frogs, snails, game, etc.)"	2.5	"Other animals (micro-livestock, little known animals, silkworms, reptiles, frogs, snails, game, etc.)"
-"Animal Husbandry and Animal Product Processing|Poultry, ducks and other birds"	2.6	"Poultry, ducks and other birds"
-"Animal Husbandry and Animal Product Processing|Rabbits and guinea pigs"	2.7	"Rabbits and guinea pigs"
-"Animal Husbandry and Animal Product Processing|Veterinary medicine, animal diseases"	2.8	"Veterinary medicine, animal diseases"
-"Business, Micro-entreprises, Management, Marketing, Finance, Microfinance, Cooperatives"	3	"Business, Micro-entreprises, Management, Marketing, Finance, Microfinance, Cooperatives"
-"Business, Micro-entreprises, Management, Marketing, Finance, Microfinance, Cooperatives|Accounting"	3.1	"Accounting"
-"Business, Micro-entreprises, Management, Marketing, Finance, Microfinance, Cooperatives|Cooperatives, cooperative movement"	3.2	"Cooperatives, cooperative movement"
-"Business, Micro-entreprises, Management, Marketing, Finance, Microfinance, Cooperatives|Cooperatives, cooperative movement|Housing cooperatives"	3.2.1	"Housing cooperatives"
-"Business, Micro-entreprises, Management, Marketing, Finance, Microfinance, Cooperatives|Finance and microfinance / microcredit"	3.3	"Finance and microfinance / microcredit"
-"Business, Micro-entreprises, Management, Marketing, Finance, Microfinance, Cooperatives|Microeconomic planning techniques, Micro-enterprises"	3.4	"Microeconomic planning techniques, Micro-enterprises"
-"Communication, Information and Documentation"	4	"Communication, Information and Documentation"
-"Communication, Information and Documentation|Communication, telecommunication, mass communication, mass media, film-making"	4.1	"Communication, telecommunication, mass communication, mass media, film-making"
-"Communication, Information and Documentation|Documentation, Library science and management"	4.2	"Documentation, Library science and management"
-"Communication, Information and Documentation|Information for development, Information transfer, Information policy"	4.3	"Information for development, Information transfer, Information policy"
-"Communication, Information and Documentation|Records and Archives Management Programme (RAMP) of UNESCO, Archive Management"	4.4	"Records and Archives Management Programme (RAMP) of UNESCO, Archive Management"
-"Development Periodicals and Magazines"	5	"Development Periodicals and Magazines"
-"Development Periodicals and Magazines|Sustainable Energy Newsletters of the INFORSE network"	5.1	"Sustainable Energy Newsletters of the INFORSE network"
-"Development Periodicals and Magazines|The Courier ACP 1990 - 1996 Africa-Caribbean-Pacific - European Union"	5.2	"The Courier ACP 1990 - 1996 Africa-Caribbean-Pacific - European Union"
-"Development Periodicals and Magazines|The NGLS Magazine Go Between"	5.3	"The NGLS Magazine Go Between"
-"Ecology, Biodiversity, Natural resources, Environment, Waste Disposal"	6	"Ecology, Biodiversity, Natural resources, Environment, Waste Disposal"
-"Ecology, Biodiversity, Natural resources, Environment, Waste Disposal|Biodiversity conservation"	6.1	"Biodiversity conservation"
-"Ecology, Biodiversity, Natural resources, Environment, Waste Disposal|Resources conservation, environmental protection, biodiversity"	6.2	"Resources conservation, environmental protection, biodiversity"
-"Ecology, Biodiversity, Natural resources, Environment, Waste Disposal|Resources conservation, environmental protection, biodiversity|Nature reserve, game reserve"	6.2.1	"Nature reserve, game reserve"
-"Education and Training"	7	"Education and Training"
-"Education and Training|Adult education, Literacy training"	7.1	"Adult education, Literacy training"
-"Education and Training|Early education, Primary education, Secondary education"	7.2	"Early education, Primary education, Secondary education"
-"Education and Training|Environmental education, Global education, Psychological and assertiveness education, Non-formal education etc"	7.3	"Environmental education, Global education, Psychological and assertiveness education, Non-formal education etc"
-"Education and Training|Health Education and Training (see under health and Nutrition)"	7.4	"Health Education and Training (see under health and Nutrition)"
-"Education and Training|Teaching methods and aids"	7.5	"Teaching methods and aids"
-"Education and Training|Vocational, professional and practical training - for specific training- curricula, textbooks- see specific subject."	7.6	"Vocational, professional and practical training - for specific training- curricula, textbooks- see specific subject."
-"Energy , Renewable energies, Household energy"	8	"Energy , Renewable energies, Household energy"
-"Energy , Renewable energies, Household energy|Bio-mass (general works)"	8.1	"Bio-mass (general works)"
-"Energy , Renewable energies, Household energy|Biogas (incl. biogas equipment)"	8.2	"Biogas (incl. biogas equipment)"
-"Energy , Renewable energies, Household energy|Cookstoves, Fuel-saving cookstoves, Household Energy"	8.3	"Cookstoves, Fuel-saving cookstoves, Household Energy"
-"Energy , Renewable energies, Household energy|Energy and power (general works) incl. energy per country, energy savings, etc."	8.4	"Energy and power (general works) incl. energy per country, energy savings, etc."
-"Energy , Renewable energies, Household energy|Wood and charcoal (incl. kilns and activated charcoal)"	8.5	"Wood and charcoal (incl. kilns and activated charcoal)"
-"Fishery and Aquaculture"	9	"Fishery and Aquaculture"
-"Fishery and Aquaculture|Aquaculture, fish farming, fish production (fish ponds, feeding, etc.)"	9.1	"Aquaculture, fish farming, fish production (fish ponds, feeding, etc.)"
-"Fishery and Aquaculture|Fishery and aquaculture (general works), fishery resources"	9.2	"Fishery and aquaculture (general works), fishery resources"
-"Fishery and Aquaculture|Fishing techniques and equipment"	9.3	"Fishing techniques and equipment"
-"Forestry and Agroforestry"	10	"Forestry and Agroforestry"
-"Forestry and Agroforestry|Agroforestry"	10.1	"Agroforestry"
-"Forestry and Agroforestry|Cultivation and conservation (nurseries), protection and pest resistance"	10.2	"Cultivation and conservation (nurseries), protection and pest resistance"
-"Forestry and Agroforestry|Reforestation - for erosion control see 11.04 and 14.05"	10.3	"Reforestation - for erosion control see 11.04 and 14.05"
-"Forestry and Agroforestry|Specific trees and other forestry plants (incl. bamboo)"	10.4	"Specific trees and other forestry plants (incl. bamboo)"
-"Health, Nutrition, Medicine"	11	"Health, Nutrition, Medicine"
-"Health, Nutrition, Medicine|Community Health, Health Care Delivery, Extension workers and training"	11.1	"Community Health, Health Care Delivery, Extension workers and training"
-"Health, Nutrition, Medicine|Family health, Mother and Child care, Family planning, Pregnancy and Childbirth"	11.2	"Family health, Mother and Child care, Family planning, Pregnancy and Childbirth"
-"Health, Nutrition, Medicine|Food, Nutrition and Malnutrition"	11.3	"Food, Nutrition and Malnutrition"
-"Health, Nutrition, Medicine|Food, Nutrition and Malnutrition|Community Health, Health Care Delivery, Extension workers and training"	11.3.1	"Community Health, Health Care Delivery, Extension workers and training"
-"Health, Nutrition, Medicine|Health (general works, incl. health economics and sociology, health statistics, health and community development)"	11.4	"Health (general works, incl. health economics and sociology, health statistics, health and community development)"
-"Health, Nutrition, Medicine|Health Education, Promotion, Prevention, AIDS Prevention, Safety, Books covering multiple health dimensions"	11.5	"Health Education, Promotion, Prevention, AIDS Prevention, Safety, Books covering multiple health dimensions"
-"Health, Nutrition, Medicine|Medicine, Clinical Care, Diseases, Hygiene, Emergencies (treatment of specific diseases, injuries, accidents)"	11.6	"Medicine, Clinical Care, Diseases, Hygiene, Emergencies (treatment of specific diseases, injuries, accidents)"
-"Industry, Manufacture and Services"	12	"Industry, Manufacture and Services"
-"Industry, Manufacture and Services|Metal industry"	12.1	"Metal industry"
-"Industry, Manufacture and Services|Metal industry|Forging and blacksmithing"	12.1.1	"Forging and blacksmithing"
-"Industry, Manufacture and Services|Small- scale industry, handicraft, home industry"	12.2	"Small- scale industry, handicraft, home industry"
-"Plant and Crop Production, Protection, and Processing"	13	"Plant and Crop Production, Protection, and Processing"
-"Plant and Crop Production, Protection, and Processing|Cereals (rice, corn/maize, millet, sorghum, wheat, etc.)"	13.1	"Cereals (rice, corn/maize, millet, sorghum, wheat, etc.)"
-"Plant and Crop Production, Protection, and Processing|Other plants/crops, intercropping"	13.2	"Other plants/crops, intercropping"
-"Plant and Crop Production, Protection, and Processing|Plant/crop production and processing, vegetable gardening, botany"	13.3	"Plant/crop production and processing, vegetable gardening, botany"
-"Politics, Public administration, Law and Legislation, Peace, Human Rights"	14	"Politics, Public administration, Law and Legislation, Peace, Human Rights"
-"Politics, Public administration, Law and Legislation, Peace, Human Rights|Public administration, Tasks of councillors"	14.1	"Public administration, Tasks of councillors"
-"Settlements, Housing, Building - Infrastructure Construction (Roads etc)"	15	"Settlements, Housing, Building - Infrastructure Construction (Roads etc)"
-"Settlements, Housing, Building - Infrastructure Construction (Roads etc)|Architecture and Building design"	15.1	"Architecture and Building design"
-"Settlements, Housing, Building - Infrastructure Construction (Roads etc)|Building and construction (building components, construction techniques)"	15.2	"Building and construction (building components, construction techniques)"
-"Settlements, Housing, Building - Infrastructure Construction (Roads etc)|Settlements and housing: general works incl. low- cost housing, planning techniques, surveying, etc."	15.3	"Settlements and housing: general works incl. low- cost housing, planning techniques, surveying, etc."
-"Settlements, Housing, Building - Infrastructure Construction (Roads etc)|Urban settlements (urban housing programmes, urbanization, squatters, slums, slum improvement)"	15.4	"Urban settlements (urban housing programmes, urbanization, squatters, slums, slum improvement)"
-"Society, Culture, Community, Woman, Youth, Population"	16	"Society, Culture, Community, Woman, Youth, Population"
-"Society, Culture, Community, Woman, Youth, Population|Children and youth (youth centres)"	16.1	"Children and youth (youth centres)"
-"Society, Culture, Community, Woman, Youth, Population|Community development, community organizing"	16.2	"Community development, community organizing"
-"Society, Culture, Community, Woman, Youth, Population|Demography and population"	16.3	"Demography and population"
-"Society, Culture, Community, Woman, Youth, Population|Social sciences, sociology (works comprising several subgroups) incl. participatory research and training"	16.4	"Social sciences, sociology (works comprising several subgroups) incl. participatory research and training"
-"Society, Culture, Community, Woman, Youth, Population|Society, social structure, social change, social services, social movements, social groups, Minorities"	16.5	"Society, social structure, social change, social services, social movements, social groups, Minorities"
-"Society, Culture, Community, Woman, Youth, Population|Women, gender and development, women's organizations"	16.6	"Women, gender and development, women's organizations"
-"Sustainable Development, International cooperation, Projects; NGO, Organizations, Poverty and Hunger Alleviation, Basic Human Needs"	17	"Sustainable Development, International cooperation, Projects; NGO, Organizations, Poverty and Hunger Alleviation, Basic Human Needs"
-"Sustainable Development, International cooperation, Projects; NGO, Organizations, Poverty and Hunger Alleviation, Basic Human Needs|Basic Human Needs"	17.1	"Basic Human Needs"
-"Sustainable Development, International cooperation, Projects; NGO, Organizations, Poverty and Hunger Alleviation, Basic Human Needs|Nongovernmental organizations (NGOs) in general, self- help organizations (their role in development). "	17.2	"Nongovernmental organizations (NGOs) in general, self- help organizations (their role in development). "
-"Sustainable Development, International cooperation, Projects; NGO, Organizations, Poverty and Hunger Alleviation, Basic Human Needs|Project planning and evaluation (incl. project management and dissemination strategies)"	17.3	"Project planning and evaluation (incl. project management and dissemination strategies)"
-"Sustainable Development, International cooperation, Projects; NGO, Organizations, Poverty and Hunger Alleviation, Basic Human Needs|Sustainable Development, Development models and examples; Best practices (general)"	17.4	"Sustainable Development, Development models and examples; Best practices (general)"
-"Sustainable Development, International cooperation, Projects; NGO, Organizations, Poverty and Hunger Alleviation, Basic Human Needs|United Nations"	17.5	"United Nations"
-"Water, Sanitation and Sewage Disposal"	18	"Water, Sanitation and Sewage Disposal"
-"Water, Sanitation and Sewage Disposal|Hydraulic structures (dams, intakes, wells, ponds, cisterns)"	18.1	"Hydraulic structures (dams, intakes, wells, ponds, cisterns)"
-"Water, Sanitation and Sewage Disposal|Pumps and other water- lifting devices"	18.2	"Pumps and other water- lifting devices"
-"Water, Sanitation and Sewage Disposal|Water treatment and purification (biological, chemical, physical)"	18.3	"Water treatment and purification (biological, chemical, physical)"
-"Women, gender and development, women's organizations"	19	"Women, gender and development, women's organizations"
+"Animal Husbandry and Animal Product Processing|Cattle"	2.1	"Cattle"
+"Animal Husbandry and Animal Product Processing|Other animals (micro-livestock, little known animals, silkworms, reptiles, frogs, snails, game, etc.)"	2.2	"Other animals (micro-livestock, little known animals, silkworms, reptiles, frogs, snails, game, etc.)"
+"Communication, Information and Documentation"	3	"Communication, Information and Documentation"
+"Communication, Information and Documentation|Communication, telecommunication, mass communication, mass media, film-making"	3.1	"Communication, telecommunication, mass communication, mass media, film-making"
+"Development Periodicals and Magazines"	4	"Development Periodicals and Magazines"
+"Development Periodicals and Magazines|The Courier ACP 1990 - 1996 Africa-Caribbean-Pacific - European Union"	4.1	"The Courier ACP 1990 - 1996 Africa-Caribbean-Pacific - European Union"
+"Settlements, Housing, Building - Infrastructure Construction (Roads etc)"	5	"Settlements, Housing, Building - Infrastructure Construction (Roads etc)"
+"Settlements, Housing, Building - Infrastructure Construction (Roads etc)|Settlements and housing: general works incl. low- cost housing, planning techniques, surveying, etc."	5.1	"Settlements and housing: general works incl. low- cost housing, planning techniques, surveying, etc."
+"Society, Culture, Community, Woman, Youth, Population"	6	"Society, Culture, Community, Woman, Youth, Population"
+"Society, Culture, Community, Woman, Youth, Population|Social sciences, sociology (works comprising several subgroups) incl. participatory research and training"	6.1	"Social sciences, sociology (works comprising several subgroups) incl. participatory research and training"
+"Women, gender and development, women's organizations"	7	"Women, gender and development, women's organizations"